'use strict';

// Load core modules
var exec = require( 'child_process' ).exec;

// Load local modules
var verify = require( './verify' );

module.exports = function ( callback ) {
	var command = 'git log --format=%B --no-merges -n 1';

	exec( command, function ( error, stdout, stderr ) {
		if ( error ) {
			throw new Error( error );
		}

		verify( stdout );

		callback();
	} );

};
